#if !defined(AFX_DPAGE2_H__289CE139_AFEC_49DC_8C03_BD3E630204D5__INCLUDED_)
#define AFX_DPAGE2_H__289CE139_AFEC_49DC_8C03_BD3E630204D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DPage2.h : header file
//


//This file is part of OPeNDAP-Access Tool
//Author: Viral Jain (viral_jain@hotmail.com)
//
//Copyright (c) 2004, Viral Jain
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//You can contact Viral Jain at 4270 Williamsburg Dr, Apt#G, Harrisburg, PA - 17109
//


///My Addition////
#include "./dods/BaseType.h"
#include "./dods/Sequence.h"
///My Addition Ends/////

/////////////////////////////////////////////////////////////////////////////
// CDPage2 dialog

class CDPage2 : public CPropertyPage
{
	DECLARE_DYNCREATE(CDPage2)

// Construction
public:
	BOOL TraverseSeq(Sequence *pSeq, CString& query, CString &lname, CString& dbname, CString& list, BOOL value);
	CBrush m_ctrlBr;
	BOOL GetDataInfo(BaseType *pData, CString& val, CString& dbtype, BOOL getval);
	CDPage2();
	~CDPage2();

// Dialog Data
	//{{AFX_DATA(CDPage2)
	enum { IDD = IDD_DIALOG_DPAGE2 };
	CEdit	m_TEPTextC;
	CEdit	m_TEDLCEC;
	CEdit	m_TEDDDSC;
	CEdit	m_TEDDASC;
	CEdit	m_TEDCEC;
	CProgressCtrl	m_PCIngestC;
	CString	m_EDCEV;
	CString	m_EDDASV;
	CString	m_EDDDSV;
	CString	m_EDLCEV;
	CString	m_TEPTextV;
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CDPage2)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CDPage2)
	afx_msg void OnButtonDstimp();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DPAGE2_H__289CE139_AFEC_49DC_8C03_BD3E630204D5__INCLUDED_)
