#if !defined(AFX_DWIZARD_H__C31C14BB_D29E_427B_A028_85FE0595F996__INCLUDED_)
#define AFX_DWIZARD_H__C31C14BB_D29E_427B_A028_85FE0595F996__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DWizard.h : header file
//

//This file is part of OPeNDAP-Access Tool
//Author: Viral Jain (viral_jain@hotmail.com)
//
//Copyright (c) 2004, Viral Jain
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//You can contact Viral Jain at 4270 Williamsburg Dr, Apt#G, Harrisburg, PA - 17109
//


///////////My Addition////////////

#include <afxdao.h>

#include "DPage1.h"
#include "DPage2.h"
#include "./dods/Connect.h"
#include "./dods/DAS.h"
#include "./dods/DDS.h"

#include <iostream>
/////////My Addition Ends/////////


/////////////////////////////////////////////////////////////////////////////
// CDWizard

class CDWizard : public CPropertySheet
{
	DECLARE_DYNAMIC(CDWizard)

// Construction
public:
	CDWizard(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CDWizard(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CDPage1 m_page1;
	CDPage2 m_page2;
	Connect* m_DCon;

	DAS *m_das;
	DDS *m_dds;

	CDaoDatabase m_DbCon;

// Operations
public:


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDWizard)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	CBrush m_ctrlBr;
	CString m_CE;
	CString m_TBName;
	CString m_DBName;
	CString m_ImpURL;
	virtual ~CDWizard();

	// Generated message map functions
protected:
	HICON m_hIcon;

	//{{AFX_MSG(CDWizard)
	afx_msg void OnPaint();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DWIZARD_H__C31C14BB_D29E_427B_A028_85FE0595F996__INCLUDED_)
